Bug 207802 - Ability to enter percentage when resizing
Summary: Ability to enter percentage when resizing
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-18 16:45 UTC by Grósz Dániel
Modified: 2018-04-23 23:34 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 18.08.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Grósz Dániel 2009-09-18 16:45:04 UTC
Version:            (using KDE 4.3.1)
OS:                Linux
Installed from:    SuSE RPMs

When resizing the image, the user must enter the new size in pixels. It would be nice to be able to enter it in percents as well.
Comment 1 Aurelien Gateau 2009-09-30 09:30:32 UTC
Good point, adding to my TODO.
Comment 2 Huon 2018-04-23 23:34:30 UTC
Git commit 25f2d4483b2dda15ace9eeff425760c042dcce91 by Huon Imberger.
Committed on 23/04/2018 at 23:34.
Pushed by huoni into branch 'master'.

Add ability to resize images based on percentage

Summary:
Adds Percentage width/height fields to the image resize dialog,
and ensures all fields appropriately adjust automatically.
FIXED-IN: 18.08.0

Before:
{F5811250, size=full}

After:
{F5811247, size=full}

Test Plan:
Open raster image, resize ({key Shift}+{key R}).
Modify width and height values and percentages, with and without
{nav Keep aspect ratio} checked.
  - If {nav Keep aspect ratio} checked, percentages should always
  be exactly the same
  - Values should be consistent, no matter which value is manually
  modified.

Confirming the resize should work as normal.

Reviewers: #gwenview, rkflx

Reviewed By: #gwenview, rkflx

Subscribers: rkflx, ngraham, muhlenpfordt

Tags: #gwenview

Differential Revision: https://phabricator.kde.org/D12300

M  +63   -6    lib/resize/resizeimagedialog.cpp
M  +2    -0    lib/resize/resizeimagedialog.h
M  +59   -0    lib/resize/resizeimagewidget.ui

https://commits.kde.org/gwenview/25f2d4483b2dda15ace9eeff425760c042dcce91